- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Static Public Member Functions
BfsVisitDefaultTraits< GR > Struct Template Reference

## Detailed Description

### template<class GR>
struct lemon::BfsVisitDefaultTraits< GR >

Default traits class of BfsVisit class.

Template Parameters

  GR | The type of the digraph the algorithm runs on.

`#include <lemon/bfs.h>`

## Public Types
typedef GR | Digraph
| The type of the digraph the algorithm runs on.
typedef Digraph::template NodeMap< bool > | ReachedMap
| The type of the map that indicates which nodes are reached. More...

## Static Public Member Functions
static ReachedMap * | createReachedMap (const Digraph &digraph)
| Instantiates a ReachedMap. More...

## Member Typedef Documentation

typedef Digraph::template NodeMap<bool> ReachedMap

The type of the map that indicates which nodes are reached. It must conform to the ReadWriteMap concept.

## Member Function Documentation

static ReachedMap* createReachedMap | ( | const Digraph & | digraph | ) |
| inline static

This function instantiates a ReachedMap.

Parameters

  digraph | is the digraph, to which we would like to define the ReachedMap.